unit URequisicao;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, CRequisicao, ExtCtrls;

type
  TF_Requisicao = class(TForm)
    lblNumero: TLabel;
    lblData: TLabel;
    lblValor: TLabel;
    edtNumero: TEdit;
    edtData: TMaskEdit;
    edtValor: TEdit;
    btnProcessar: TButton;
    rgPrimeiraAprovacao: TRadioGroup;
    procedure btnProcessarClick(Sender: TObject);
    procedure edtNumeroKeyPress(Sender: TObject; var Key: Char);
    procedure edtValorKeyPress(Sender: TObject; var Key: Char);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_Requisicao: TF_Requisicao;

implementation

{$R *.dfm}

uses CAprovacao;

procedure TF_Requisicao.btnProcessarClick(Sender: TObject);
var
  Requisicao: TRequisicao;
begin
  Requisicao := TRequisicao.Create(edtNumero.Text, StrToDate(edtData.Text), StrToCurr(edtValor.Text));
  TAprovacao.RealizaAprovacao(Requisicao, rgPrimeiraAprovacao.ItemIndex);
end;

procedure TF_Requisicao.edtNumeroKeyPress(Sender: TObject; var Key: Char);
begin
  if not (key in ['0'..'9', #8, #13]) then
    Abort;
end;

procedure TF_Requisicao.edtValorKeyPress(Sender: TObject; var Key: Char);
begin
  if not (key in ['0'..'9', #8, #13, ',']) then
    Abort;
end;

procedure TF_Requisicao.FormShow(Sender: TObject);
begin
  edtData.Text := DateToStr(Date);
end;

end.
