unit CSupervisor;

interface

uses
  Forms, Windows, CAprovador, CRequisicao;

type
  TSupervisor = class(TAprovador)
  published
    procedure Aprovar(ARequisicao: TRequisicao); override; 
end;

implementation

{ TSupervisor }

procedure TSupervisor.Aprovar(ARequisicao: TRequisicao);
begin
  inherited;
  
  if (ARequisicao.Valor <= 10000) then
    Application.MessageBox(PWideChar('Requisicao n: ' + ARequisicao.Numero + ' aprovada pelo Supervisor.'),
                           '..:: Informao ::..', MB_OK + MB_ICONINFORMATION)
  else
    if (Sucessor <> nil) then
      Sucessor.Aprovar(ARequisicao);
end;

end.

